# home-manager configuration for Emacs
{lib, pkgs, ...}:
let
  # emacs-config = lib.mkDerivation {
  #   pname = "emacs-config";
  #   version = "1.0";

  #   src = builtins.fetchGit {
  #     url = "git@git.nirgendwo.xyz:janis/dot-emacs.git";
  #     ref = "main";
  #     rev = "ac3c35f358";
  #   };

  #   buildInputs = [ pkgs.emacs ];

  #   installPhase = ''
  #     runHook preInstall
  #     mkdir -p $out/share/emacs.d/
  #     cp -r * $out/share/emacs.d
  #     runHook postInstall
  #   '';
  # };

  # emacs-config-pkg = pkgs.callPackage emacs-config { };

  emacs-config = builtins.fetchGit {
    url = "git@git.nirgendwo.xyz:janis/dot-emacs.git";
    ref = "main";
    rev = "ac3c35f358";
  };
in {
  home.packages = with pkgs; [
    emacs
    enchant # spell checking
    ripgrep # for Emacs' ripgrep integration
    libvterm-neovim # vterm support for Emacs
  ];
  xdg.configFile = {
    "emacs" = {
      source = emacs-config;
    };
  };
}
