{pkgs, config, ...}: {
  home.packages = with pkgs; [ 
    libinput
    libinput-gestures
  ];

  # Ensure libinput-gestures service is enabled
  wayland.windowManager.sway.systemd.extraCommands = [
    "systemctl --user enable libinput-gestures.service"
    "systemctl --user start libinput-gestures.service"
  ];

  xdg.configFile."libinput-gestures.conf".text = ''
    gesture swipe left 4 ${pkgs.sway}/bin/swaymsg workspace prev
    gesture swipe right 4 ${pkgs.sway}/bin/swaymsg workspace next
    gesture swipe down 4 swaylock-wrapper
    gesture pinch in 4 ${pkgs.rofi}/bin/rofi -combi-modi window,drun,run,ssh,combi -show combi -show-icons
'';
}
